<div>
    <form>
        <div>
            <h3>{{titleModal}}</h3>
        </div>
        <mat-card>
            <mat-card-content>
                <div fxLayout="row wrap" fxFlexAlign="center" class="form-row">
                    <div fxFlex.gt-sm="50" fxFlex="100" class="p-r-10 form-group col">
                        <mat-form-field>
                            <mat-select [compareWith]="selectClient" placeholder="Seleccionar Cliente" #client
                                (selectionChange)="onCustomerChange($event.value)">

                                <mat-option *ngFor="let customer of dataCustomer" [value]="customer">
                                    {{customer.name}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </div>
                    <div fxFlex.gt-sm="50" fxFlex="100" class="p-r-10 form-group col">
                        <mat-form-field>
                            <mat-select [compareWith]="selectService" placeholder="Seleccionar servicio" #service
                                [formControl]="validateFilters.get('service')"
                                (selectionChange)="onServiceChange($event.value)">
                                <mat-option *ngFor="let service of dataService " [value]="service">
                                    {{service.descriptionService}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>

                    <div>
                        <button mat-raised-button color="primary" (click)="find();" type="submit"
                            class="space-buttom">Buscar</button>
                        <button mat-raised-button color="warn" (click)="inactive();" type="submit"
                            class="space-buttom">Inactivar</button>
                       <button mat-raised-button color="warn" mat-dialog-close 
                            class="space-buttom">Cancelar</button> 
                    </div>
                </div>
            </mat-card-content>
        </mat-card>
        <div>
            <mat-card class="space-card">
                <mat-card-content>
                    <div class="responsive-table">
                        <mat-table #table [dataSource]="dataSource" matSort>
                            <ng-container matColumnDef="date">
                                <mat-header-cell *matHeaderCellDef>Dia</mat-header-cell>
                                <mat-cell *matCellDef="let element">
                                    {{element.idDay ===0? globalMethods.validateFilterDays
                                    (element.idDay):globalMethods.validateFilterDays(element.idDay)}}
                                </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="start_time">
                                <mat-header-cell *matHeaderCellDef>Hora de inicio</mat-header-cell>
                                <mat-cell *matCellDef="let element">
                                    {{element.startHour |date :'h:mm a'}}
                                </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="end_time">
                                <mat-header-cell *matHeaderCellDef>Hora fin</mat-header-cell>
                                <mat-cell *matCellDef="let element">
                                    {{element.endHour |date :'h:mm a'}}
                                </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="status">
                                <mat-header-cell *matHeaderCellDef>Estado</mat-header-cell>
                                <mat-cell *matCellDef="let element">
                                    {{element.scheduleState ===0? globalMethods.validateFilterOptions
                                (element.scheduleState):globalMethods.validateFilterOptions(element.scheduleState)}}

                                </mat-cell>
                            </ng-container>
                            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                            <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                        </mat-table>
                        <mat-paginator [pageSizeOptions]="[5, 10, 15,20]" showFirstLastButtons></mat-paginator>
                        <div>

                        </div>
                    </div>
                </mat-card-content>
            </mat-card>
        </div>
    </form>
</div>